## class UpdateLineTableCmd : public Command

> abstract command class for updating line attributes in a table

## Inheritance:

### Public Methods

  | UpdateLineTableCmd (Table *t, TableViewer *v, Side::Type side)
  virtual | ~UpdateLineTableCmd ()
  List <LinePiece *> * | GetLines ()

### Inherited from Command:

### Public Classes

enum TrackType

### Public Methods

virtual void TrackMouse(TrackType, Point*, Point*, Point*)
virtual void Execute()
virtual void UnExecute()
virtual void ReExecute()
virtual void Abort()
bool CmdDone() const
virtual const char* GetName() const
int ScaleCorrect(int x) const
Point ScaleCorrect(const Point *pt) const
int Scale(int x) const
Point Scale(const Point *pt) const
void SayAborted()

### Protected Methods

void SayCommited()
void SayUndone()
DrawWindow* GetMainWindow() const
Viewer* GetViewer() const
Document* GetDocument() const
Grafport* GetGrafport() const
void SetCmdDone(bool b)

## Documentation

> abstract command class for updating line attributes in a table

`UpdateLineTableCmd(Table *t, TableViewer *v, Side::Type side)`

`virtual ~UpdateLineTableCmd()`

`List <LinePiece *> * GetLines()`

Direct child classes:
  UpdateLineWidthTableCmd
  UpdateLineStyleTableCmd

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de